﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Stimulsoft.Report;

namespace StimulsoftWpfApplication
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private Child Child;
        private List<Parent> Parents = new List<Parent>();

        private void FillData()
        {
            Child = new Child();
            Child.Id = 2;

            Parent p1 = new Parent("Anna");
            Parent p2 = new Parent("Kate");
            Parent p3 = new Parent("Jessica");

            p1.Children = new List<Child>();
            p1.Children.Add(new Child(1, "Scarlett"));
            p1.Children.Add(new Child(2, "Rachel"));

            p2.Children = new List<Child>();
            p2.Children.Add(new Child(1, "Emma"));
            p2.Children.Add(new Child(2, "Megan"));

            p3.Children = new List<Child>();
            p3.Children.Add(new Child(1, "Natalie"));
            p3.Children.Add(new Child(2, "Camilla"));
            
            Parents.Add(p1);
            Parents.Add(p2);
            Parents.Add(p3);
        }

        private void butDesign_Click(object sender, RoutedEventArgs e)
        {
            StiReport r = new StiReport();
            r.Load("..\\..\\Report.mrt");
            FillData();

            r.RegBusinessObject("Child", Child);
            r.RegBusinessObject("Parents", Parents);

            r.DesignWithWpf();
        }

        private void butShow_Click(object sender, RoutedEventArgs e)
        {
            StiReport r = new StiReport();
            r.Load("..\\..\\Report.mrt");
            FillData();

            r.RegBusinessObject("Child", Child);
            r.RegBusinessObject("Parents", Parents);
                        
            r.ShowWithWpf();
        }
    }
}
